RK-J - Task #3134

Task # 3132 (Closed): v94.5: Show scores for results in extension based on compile and run time settings

BE: Set property in the environment property file & score setting in the setting page for the
extension.

07/18/2023 05:23 AM - Ayush Khandelwal

Status: Closed Start date: 07/18/2023
Priority: Immediate Due date: 07/18/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 3.50 hours
Description

Score configuration for the extension:

1. property setting should be set to true for dev and QA and false for prod. This will be set in the environments property file.
2. server setting should be set to true by default but should be settable to false. This will be set in the server setting page i.e.
QnaGenerationSetting.

So, we will never see this in prod. But, it will visible by default in QA and Dev so that we can test how accuarate our "match
messages"” are.

1. property setting should be set to true for dev and QA and false for prod. This will be set in the environments property file.

ga.credentialConfig.properties and dev.credentialConfig.properties
- create a property named "extension.display.score" and set the value as true

prod.credentialConfig.properties
- create a property named "extension.display.score" and set the value as false

create Variable in GlobalUtility.java named 'isExtensionDisplayScoreEnabled'.
Create a method in GlobalUtility.java named "loadExtensionConfig()", which will get the value from "extension.display.score" & set
the value for isExtensionDisplayScoreEnabled.

2. server setting should be set to true by default but should be settable to false. This will be set in the server setting page
i.e. QnaGenerationSetting.

Create a setting named "Display score in extension" in QNA generation -> settings page.

(display this setting for QA and dev but not for prod)

- Add one toggle button. This is for saving the 'displayScorelnExtn'. This will be the boolean value. By default, this will be 'true’'.
- Add 'Set' button.

History

#1 - 07/18/2023 05:44 AM - Ayush Khandelwal

- Description updated

#2 - 07/18/2023 06:57 AM - Ayush Khandelwal

- Subject changed from BE: Set property in the environment property file & score setting in the setting page for the extension. to BE-v94.5: Set
property in the environment property file & score setting in the setting page for the extension.

#3 - 07/18/2023 06:57 AM - Ayush Khandelwal
- Subject changed from BE-v94.5: Set property in the environment property file & score setting in the setting page for the extension. to BE: Set

property in the environment property file & score setting in the setting page for the extension.

#4 - 07/18/2023 07:33 AM - Venmuhilan B
- Description updated

- Assignee changed from Venmuhilan B to Md Shahzar

#5 - 07/18/2023 07:56 AM - Md Shahzar
- Status changed from New to In Progress

#6 - 07/18/2023 02:58 PM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#7 - 07/18/2023 02:59 PM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Venmuhilan B

#8 - 07/19/2023 10:08 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#9 - 07/20/2023 09:07 AM - Venmuhilan B
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Md Shahzar

#10 - 07/27/2023 09:13 AM - Ram Kordale

- Priority changed from Urgent to Immediate

#11 - 07/27/2023 09:45 AM - Md Shahzar

- Assignee changed from Md Shahzar to Venmuhilan B

#12 - 07/27/2023 01:17 PM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#13 - 07/28/2023 02:50 PM - Ayush Khandelwal
- Status changed from Feedback to Closed

Working as expected
